HomePhabricator

Set Api version for plugin jars

Authored by QChris on May 29 2020, 2:41 PM.

Description

Set Api version for plugin jars

Since we did not set the Api in the manifest per default, most built
plugins do not expose the Api version they got against. Yet this
version would help with upgrades as it would help to assure the
correct plugins are in place. This holds especially true, where a
single commit of a plugin gets used to build for different Api
versions (E.g.: commit-message-length-validator).

The Api version in the jar is currently only shown in a plugin's
about page.

Change-Id: I0a786a911474a7024a63227f6d28be664c88af18

Details

Committed
QChrisMay 29 2020, 2:41 PM
Parents
rGERRITDEPLOY52ac1dacc728: Update git submodules
Branches
Unknown
Tags
Unknown
ChangeId
I0a786a911474a7024a63227f6d28be664c88af18